module.exports = {
  root: true,
  env: {
    es6: true,
    node: true,
    jest: true,
  },
  extends: [
    // '@react-native-community',
    'eslint:recommended',
    'plugin:react/recommended',
    'plugin:react-hooks/recommended',
    'plugin:@typescript-eslint/eslint-recommended',
    'plugin:@typescript-eslint/recommended',
    // 'plugin:@typescript-eslint/recommended-requiring-type-checking',
  ],
  parser: '@typescript-eslint/parser',
  plugins: ['react', 'react-hooks', '@typescript-eslint'],
  rules: {
    'no-empty': 1,
    'no-empty-function': 0,
    '@typescript-eslint/no-empty-function': 1,
    'no-unused-vars': 0,
    '@typescript-eslint/no-unused-vars': [
      1,
      { varsIgnorePattern: '^_', argsIgnorePattern: '^_' },
    ],
    '@typescript-eslint/ban-ts-comment': [
      2,
      { 'ts-ignore': 'allow-with-description' },
    ],
    'require-await': 0,
    '@typescript-eslint/require-await': 2,
    '@typescript-eslint/explicit-module-boundary-types': 0,
    'react/prop-types': 0,
    'react/jsx-key': 1,
    'react/display-name': 0,
    'react-native/no-inline-styles': 0,
  },
  settings: {
    react: {
      version: 'detect',
    },
  },
};
